<template>
  <div
    class="bg-light p-1 m-1 rounded"
    @mouseover="append = true"
    @mouseleave="append = false"
  >
    <div class="row">
      <div class="col-10 col-md-10">
        <router-link :to="task" class="a-link text-dark">
          <p class="m-0">{{ text.name }}</p>
        </router-link>
      </div>
      <div class="col-1 col-md-1" style="display: block">
        <b-dropdown
          size="sm"
          id="dropdown-offset"
          offset="25"
          variant="link none-p p-0"
          v-show="append"
          style="float: right"
        >
          <b-dropdown-item @click="remove" style="font-size: 10px" class="p-0">
            Delete
          </b-dropdown-item>
          <b-dropdown-item style="font-size: 10px" class="p-0">
            <b-dropdown
              id="dropdown-dropright"
              dropright
              text="testing"
              variant="primary"
              class="m-2"
            >
              <b-dropdown-item href="#">Action</b-dropdown-item>
              <b-dropdown-item href="#">Another action</b-dropdown-item>
              <b-dropdown-item href="#">Something else here</b-dropdown-item>
            </b-dropdown>
          </b-dropdown-item>
        </b-dropdown>
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";
export default {
  name: "Card",
  data() {
    return {
      task: `/task/${this.text.id}`,
      append: false,
    };
  },
  methods: {
    remove() {
      axios
        .delete(`http://localhost:8000/api/todo/${this.text.id}`, {
          headers: { Authorization: `Bearer ${this.$store.state.token}` },
        })
        .then(() => {
          this.$store.commit("removetodo", this.text.id);
        })
        .catch((err) => {
          console.log(err.response, "hello");
        });
    },
  },
  props: ["text"],
};
</script>

<style>
.a-link {
  text-decoration: none;
}
.none-p {
  border: 0 !important;
  padding: 0 !important;
}
</style>
